# ORCA NO2 doublet UHF single point energy

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default: convergence='tightscf'
orca = ORCA(frag=no2, method="hf", basis="3-21g", scftype="uhf", mult=2, threshold=1.0e-08)

sp = SP(theory=orca, gradients=True)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=tightscf from Tcl-ChemShell
#eref = -202.84301303
# ORCA 5.0.3 
eref = -202.8430167

testutils.validate(ecalc, eref)
